Acknowledge receipt of an invoice. - Fabric

Documentation Index

Fetch the complete documentation index at: /llms.txt

Use this file to discover all available pages before exploring further.

Skip to main content

Acknowledge receipt of an invoice.

cURL

curl --request PUT \
  --url https://marketplace-api.fabric.inc/v1/retailers/{retailer_id}/invoices/{id}/acknowledge/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "invoice_number": "RC123456",
  "currency": {
    "name": "United States Dollar",
    "symbol": "$"
  },
  "terms_type": "Previously agreed upon",
  "terms_description": "Previously agreed upon terms will apply",
  "terms_net_days_due": 35,
  "terms_date_due": null,
  "terms_discount_percent": null,
  "order_id": "O-654",
  "customer_order_number": "CO-435",
  "purchase_order_number": "PO-546",
  "status": "closed",
  "shipping_carrier_name": "ALZ carrier",
  "shipping_carrier_code": "230F",
  "shipping_account_number": "SH879",
  "shipping_method_name": "Next day delivery",
  "shipping_method_code": "ND",
  "shipping_tracking_number": "1Z9999999999999988",
  "shipping_weight": "7.00",
  "notes": "Signature required",
  "invoiced_at": "2022-05-10T15:24:56Z",
  "ordered_at": "2022-05-10T15:24:56Z",
  "shipped_at": "2022-05-10T15:24:56Z",
  "acknowledged_at": "2022-06-10T15:24:56Z",
  "paid_at": "2022-06-10T15:24:56Z",
  "closed_at": null,
  "canceled_at": null,
  "allowances": [\
    {\
      "description": "Sample-discount-allowance",\
      "price": "12.10"\
    }\
  ],
  "charges": [\
    {\
      "description": "Sample invoice and its description",\
      "price": "23.45"\
    }\
  ],
  "net_amount": "12.89",
  "due_amount": "2.89",
  "expected_due_amount": "2.89",
  "subtotal": "10.89",
  "tax": "2.00",
  "invoice_acceptance": {
    "accepted_by": {
      "first_name": "Sample",
      "last_name": "Demo",
      "title": "Demo",
      "status": "Active",
      "type": "standard"
    },
    "rejected_by": {
      "first_name": "Sample",
      "last_name": "Demo",
      "title": "Demo",
      "status": "Active",
      "type": "standard"
    },
    "reject_reason": "Incorrect",
    "accepted_at": "2022-08-10T15:24:56Z",
    "rejected_at": null
  }
}
'
import requests

url = "https://marketplace-api.fabric.inc/v1/retailers/{retailer_id}/invoices/{id}/acknowledge/"

payload = {
    "invoice_number": "RC123456",
    "currency": {
        "name": "United States Dollar",
        "symbol": "$"
    },
    "terms_type": "Previously agreed upon",
    "terms_description": "Previously agreed upon terms will apply",
    "terms_net_days_due": 35,
    "terms_date_due": None,
    "terms_discount_percent": None,
    "order_id": "O-654",
    "customer_order_number": "CO-435",
    "purchase_order_number": "PO-546",
    "status": "closed",
    "shipping_carrier_name": "ALZ carrier",
    "shipping_carrier_code": "230F",
    "shipping_account_number": "SH879",
    "shipping_method_name": "Next day delivery",
    "shipping_method_code": "ND",
    "shipping_tracking_number": "1Z9999999999999988",
    "shipping_weight": "7.00",
    "notes": "Signature required",
    "invoiced_at": "2022-05-10T15:24:56Z",
    "ordered_at": "2022-05-10T15:24:56Z",
    "shipped_at": "2022-05-10T15:24:56Z",
    "acknowledged_at": "2022-06-10T15:24:56Z",
    "paid_at": "2022-06-10T15:24:56Z",
    "closed_at": None,
    "canceled_at": None,
    "allowances": [\
        {\
            "description": "Sample-discount-allowance",\
            "price": "12.10"\
        }\
    ],
    "charges": [\
        {\
            "description": "Sample invoice and its description",\
            "price": "23.45"\
        }\
    ],
    "net_amount": "12.89",
    "due_amount": "2.89",
    "expected_due_amount": "2.89",
    "subtotal": "10.89",
    "tax": "2.00",
    "invoice_acceptance": {
        "accepted_by": {
            "first_name": "Sample",
            "last_name": "Demo",
            "title": "Demo",
            "status": "Active",
            "type": "standard"
        },
        "rejected_by": {
            "first_name": "Sample",
            "last_name": "Demo",
            "title": "Demo",
            "status": "Active",
            "type": "standard"
        },
        "reject_reason": "Incorrect",
        "accepted_at": "2022-08-10T15:24:56Z",
        "rejected_at": None
    }
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    invoice_number: 'RC123456',
    currency: {name: 'United States Dollar', symbol: '$'},
    terms_type: 'Previously agreed upon',
    terms_description: 'Previously agreed upon terms will apply',
    terms_net_days_due: 35,
    terms_date_due: null,
    terms_discount_percent: null,
    order_id: 'O-654',
    customer_order_number: 'CO-435',
    purchase_order_number: 'PO-546',
    status: 'closed',
    shipping_carrier_name: 'ALZ carrier',
    shipping_carrier_code: '230F',
    shipping_account_number: 'SH879',
    shipping_method_name: 'Next day delivery',
    shipping_method_code: 'ND',
    shipping_tracking_number: '1Z9999999999999988',
    shipping_weight: '7.00',
    notes: 'Signature required',
    invoiced_at: '2022-05-10T15:24:56Z',
    ordered_at: '2022-05-10T15:24:56Z',
    shipped_at: '2022-05-10T15:24:56Z',
    acknowledged_at: '2022-06-10T15:24:56Z',
    paid_at: '2022-06-10T15:24:56Z',
    closed_at: null,
    canceled_at: null,
    allowances: [{description: 'Sample-discount-allowance', price: '12.10'}],
    charges: [{description: 'Sample invoice and its description', price: '23.45'}],
    net_amount: '12.89',
    due_amount: '2.89',
    expected_due_amount: '2.89',
    subtotal: '10.89',
    tax: '2.00',
    invoice_acceptance: {
      accepted_by: {
        first_name: 'Sample',
        last_name: 'Demo',
        title: 'Demo',
        status: 'Active',
        type: 'standard'
      },
      rejected_by: {
        first_name: 'Sample',
        last_name: 'Demo',
        title: 'Demo',
        status: 'Active',
        type: 'standard'
      },
      reject_reason: 'Incorrect',
      accepted_at: '2022-08-10T15:24:56Z',
      rejected_at: null
    }
  })
};

fetch('https://marketplace-api.fabric.inc/v1/retailers/{retailer_id}/invoices/{id}/acknowledge/', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));



200

{
  "invoice_number": "RC123456",
  "id": 1,
  "retailer": {
    "name": "Demo Retailer",
    "code": "demo-retailer",
    "id": 500,
    "logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",
    "cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",
    "profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",
    "joined_at": "2021-08-03T17:24:12Z",
    "is_rcn_retailer": false,
    "is_onboarded": false,
    "platform": "fabric",
    "requires_subscription": "disabled",
    "brand_permit_creation_allowed": false,
    "website": "https://demoabc.com",
    "status": "active"
  },
  "brand": {
    "code": "demo-brand",
    "id": 500,
    "name": "Marla Cielo",
    "joined_at": "2022-09-10T15:24:56Z",
    "logo_url": "https://images.revcascade.com/retailers/defaults/logo-lg.png",
    "cover_url": "https://images.revcascade.com/retailers/defaults/cover.png",
    "profile_tile_url": "https://images.revcascade.com/retailers/defaults/profile-tile.png",
    "website": null,
    "is_onboarded": false,
    "is_on_rcn": false,
    "requires_subscription": "enabled",
    "subscription_expires_at": "2024-09-19T13:32:10Z",
    "grace_period_ends_at": "2024-10-26T13:32:10Z",
    "subscription_is_expired": false,
    "subscription_is_on_grace_period": false,
    "subscription_is_delinquent": false,
    "inventory_policy": "managed",
    "status": "active"
  },
  "connection_id": 2,
  "currency": {
    "id": 1,
    "name": "United States Dollar",
    "symbol": "$",
    "unit": "USD"
  },
  "terms_type": "Previously agreed upon",
  "terms_description": "Previously agreed upon terms will apply",
  "terms_net_days_due": 35,
  "terms_date_due": null,
  "terms_discount_percent": null,
  "order_id": "O-654",
  "customer_order_number": "CO-435",
  "purchase_order_number": "PO-546",
  "status": "closed",
  "remit_to": {
    "name1": "Demo Brand, Inc",
    "street1": "1332 Hermosa Ave",
    "city": "Hermosa Beach",
    "province": "CA",
    "postal_code": "90254",
    "country": "US",
    "id": 10,
    "type": "residential",
    "name2": null,
    "street2": null,
    "phone1": "3105551212",
    "phone2": "3105551213",
    "fax": null,
    "email": null,
    "federal_tax_id": null
  },
  "ship_from": {
    "name1": "Demo Brand, Inc",
    "street1": "1332 Hermosa Ave",
    "city": "Hermosa Beach",
    "province": "CA",
    "postal_code": "90254",
    "country": "US",
    "id": 10,
    "type": "residential",
    "name2": null,
    "street2": null,
    "phone1": "3105551212",
    "phone2": "3105551213",
    "fax": null,
    "email": null,
    "federal_tax_id": null
  },
  "sold_to": {
    "name1": "Demo Brand, Inc",
    "street1": "1332 Hermosa Ave",
    "city": "Hermosa Beach",
    "province": "CA",
    "postal_code": "90254",
    "country": "US",
    "id": 10,
    "type": "residential",
    "name2": null,
    "street2": null,
    "phone1": "3105551212",
    "phone2": "3105551213",
    "fax": null,
    "email": null,
    "federal_tax_id": null
  },
  "ship_to": {
    "name1": "Demo Brand, Inc",
    "street1": "1332 Hermosa Ave",
    "city": "Hermosa Beach",
    "province": "CA",
    "postal_code": "90254",
    "country": "US",
    "id": 10,
    "type": "residential",
    "name2": null,
    "street2": null,
    "phone1": "3105551212",
    "phone2": "3105551213",
    "fax": null,
    "email": null,
    "federal_tax_id": null
  },
  "shipping_carrier_name": "ALZ carrier",
  "shipping_carrier_code": "230F",
  "shipping_account_number": "SH879",
  "shipping_method_name": "Next day delivery",
  "shipping_method_code": "ND",
  "shipping_tracking_number": "1Z9999999999999988",
  "shipping_weight": "7.00",
  "notes": "Signature required",
  "invoiced_at": "2022-05-10T15:24:56Z",
  "ordered_at": "2022-05-10T15:24:56Z",
  "shipped_at": "2022-05-10T15:24:56Z",
  "acknowledged_at": "2022-06-10T15:24:56Z",
  "paid_at": "2022-06-10T15:24:56Z",
  "closed_at": null,
  "canceled_at": null,
  "allowances": [\
    {\
      "description": "Sample-discount-allowance",\
      "price": "12.10",\
      "id": 1,\
      "adjustment_code": {\
        "adjustment_type": "Allowance",\
        "code": "returns_allowance",\
        "description": "returns_allowance",\
        "id": 1\
      }\
    }\
  ],
  "charges": [\
    {\
      "description": "Sample invoice and its description",\
      "price": "23.45",\
      "id": 654,\
      "adjustment_code": {\
        "adjustment_type": "Allowance",\
        "code": "returns_allowance",\
        "description": "returns_allowance",\
        "id": 1\
      }\
    }\
  ],
  "invoice_lines": [\
    {\
      "quantity": 45,\
      "price": "12.00",\
      "id": 765,\
      "variant": {\
        "id": 100024,\
        "name": "T-Shirt, Blue, L",\
        "brand": {\
          "code": "demo-brand",\
          "id": 500,\
          "name": "Marla Cielo",\
          "joined_at": "2022-09-10T15:24:56Z",\
          "logo_url": "https://images.revcascade.com/retailers/defaults/logo-lg.png",\
          "cover_url": "https://images.revcascade.com/retailers/defaults/cover.png",\
          "profile_tile_url": "https://images.revcascade.com/retailers/defaults/profile-tile.png",\
          "website": null,\
          "is_onboarded": false,\
          "is_on_rcn": false,\
          "requires_subscription": "enabled",\
          "subscription_expires_at": "2024-09-19T13:32:10Z",\
          "grace_period_ends_at": "2024-10-26T13:32:10Z",\
          "subscription_is_expired": false,\
          "subscription_is_on_grace_period": false,\
          "subscription_is_delinquent": false,\
          "inventory_policy": "managed",\
          "status": "active"\
        },\
        "brand_identifier": "1000-BL-L",\
        "identifier": "5000001",\
        "upc": 9119119111,\
        "cartons": [\
          {\
            "id": 48,\
            "number": 1,\
            "length": "1",\
            "length_unit": "1",\
            "width": "1",\
            "width_unit": "meter",\
            "height": "1",\
            "height_unit": "meter",\
            "weight": "15",\
            "weight_unit": "KG",\
            "package_girth_inches": "1",\
            "package_size_inches": "1"\
          }\
        ],\
        "color": "Red",\
        "style": "Print",\
        "size": "Large",\
        "media": [\
          {\
            "id": 249,\
            "width": 100,\
            "height": 100,\
            "media": "default",\
            "priority": 1,\
            "url": "https://cdn.example.com/media/default/original",\
            "updated_at": "2022-09-10T15:24:56Z",\
            "created_at": "2022-08-10T15:24:56Z"\
          }\
        ],\
        "attributes": [\
          {\
            "code": "size",\
            "name": "Size",\
            "type": "money",\
            "id": 44,\
            "editable_by": "brand",\
            "grouping": "general",\
            "description": "demo product description",\
            "units": "USD",\
            "values": {\
              "id": 123,\
              "value": "<string>",\
              "unit": {\
                "id": 677,\
                "name": "Sample unit",\
                "standard_unit": "<string>",\
                "type": "cost",\
                "system": "metric",\
                "symbol": "USD"\
              },\
              "retailer": {\
                "name": "Demo Retailer",\
                "code": "demo-retailer",\
                "id": 500,\
                "logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",\
                "cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",\
                "profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",\
                "joined_at": "2021-08-03T17:24:12Z",\
                "is_rcn_retailer": false,\
                "is_onboarded": false,\
                "platform": "fabric",\
                "requires_subscription": "disabled",\
                "brand_permit_creation_allowed": false,\
                "website": "https://demoabc.com",\
                "status": "active"\
              },\
              "updated_at": "2023-11-07T05:31:56Z",\
              "created_at": "2023-11-07T05:31:56Z"\
            }\
          }\
        ],\
        "ruleset_variants": [\
          {\
            "id": 1232,\
            "status": "processing",\
            "results": "<string>",\
            "created_at": "2022-08-10T15:24:56Z",\
            "updated_at": "2022-09-10T15:24:56Z"\
          }\
        ],\
        "ruleset_variant_summary": "21",\
        "active_permit": {\
          "id": 10104,\
          "retailer": {\
            "name": "Demo Retailer",\
            "code": "demo-retailer",\
            "id": 500,\
            "logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",\
            "cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",\
            "profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",\
            "joined_at": "2021-08-03T17:24:12Z",\
            "is_rcn_retailer": false,\
            "is_onboarded": false,\
            "platform": "fabric",\
            "requires_subscription": "disabled",\
            "brand_permit_creation_allowed": false,\
            "website": "https://demoabc.com",\
            "status": "active"\
          },\
          "retailer_price": "12.99",\
          "retailer_cost": "8.99",\
          "pricing": {},\
          "attributes": {},\
          "start_at": "2021-09-10T15:24:56Z",\
          "end_at": "2024-09-10T15:24:56Z",\
          "is_in_effect": true,\
          "revoked_at": "2022-09-10T15:24:56Z",\
          "is_acknowledged": true,\
          "acknowledged_at": "2022-09-10T15:24:56Z"\
        },\
        "permits": [\
          {\
            "id": 10104,\
            "retailer": {\
              "name": "Demo Retailer",\
              "code": "demo-retailer",\
              "id": 500,\
              "logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",\
              "cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",\
              "profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",\
              "joined_at": "2021-08-03T17:24:12Z",\
              "is_rcn_retailer": false,\
              "is_onboarded": false,\
              "platform": "fabric",\
              "requires_subscription": "disabled",\
              "brand_permit_creation_allowed": false,\
              "website": "https://demoabc.com",\
              "status": "active"\
            },\
            "retailer_price": "12.99",\
            "retailer_cost": "8.99",\
            "pricing": {},\
            "attributes": {},\
            "start_at": "2021-09-10T15:24:56Z",\
            "end_at": "2024-09-10T15:24:56Z",\
            "is_in_effect": true,\
            "revoked_at": "2022-09-10T15:24:56Z",\
            "is_acknowledged": true,\
            "acknowledged_at": "2022-09-10T15:24:56Z"\
          }\
        ],\
        "is_compatible": true,\
        "proposal_variant": {\
          "id": 3456,\
          "pricing": "12.00",\
          "attributes": [\
            {\
              "id": 123,\
              "value": "<string>",\
              "unit": {\
                "id": 677,\
                "name": "Sample unit",\
                "standard_unit": "<string>",\
                "type": "cost",\
                "system": "metric",\
                "symbol": "USD"\
              },\
              "retailer": {\
                "name": "Demo Retailer",\
                "code": "demo-retailer",\
                "id": 500,\
                "logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",\
                "cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",\
                "profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",\
                "joined_at": "2021-08-03T17:24:12Z",\
                "is_rcn_retailer": false,\
                "is_onboarded": false,\
                "platform": "fabric",\
                "requires_subscription": "disabled",\
                "brand_permit_creation_allowed": false,\
                "website": "https://demoabc.com",\
                "status": "active"\
              },\
              "updated_at": "2023-11-07T05:31:56Z",\
              "created_at": "2023-11-07T05:31:56Z"\
            }\
          ],\
          "memos": [\
            {\
              "id": 1234,\
              "text": "Immediate requirement",\
              "visibility": "any",\
              "acknowledged_at": "2022-01-10T15:24:56Z",\
              "notify_people": true,\
              "created_by": {\
                "id": 542,\
                "first_name": "Sample",\
                "last_name": "Demo",\
                "title": "Demo",\
                "status": "Active",\
                "type": "standard",\
                "photo_url": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",\
                "profile_photo": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",\
                "is_me": true\
              },\
              "created_by_context": "retailer",\
              "created_at": "2021-09-10T15:24:56Z",\
              "updated_at": "2022-09-10T15:24:56Z"\
            }\
          ],\
          "issues": [\
            {\
              "id": 123,\
              "memos": [\
                {\
                  "id": 1234,\
                  "text": "Immediate requirement",\
                  "visibility": "any",\
                  "acknowledged_at": "2022-01-10T15:24:56Z",\
                  "notify_people": true,\
                  "created_by": {\
                    "id": 542,\
                    "first_name": "Sample",\
                    "last_name": "Demo",\
                    "title": "Demo",\
                    "status": "Active",\
                    "type": "standard",\
                    "photo_url": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",\
                    "profile_photo": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",\
                    "is_me": true\
                  },\
                  "created_by_context": "retailer",\
                  "created_at": "2021-09-10T15:24:56Z",\
                  "updated_at": "2022-09-10T15:24:56Z"\
                }\
              ],\
              "created_at": "2023-11-07T05:31:56Z",\
              "updated_at": "2023-11-07T05:31:56Z",\
              "resolved_at": "2023-11-07T05:31:56Z",\
              "is_resolved": "<string>",\
              "issue_id": 123,\
              "message": "<string>",\
              "title": "<string>"\
            }\
          ],\
          "variant_id": 249,\
          "approved_at": "2022-10-10T15:24:56Z",\
          "created_at": "2022-07-10T15:24:56Z",\
          "updated_at": "2022-09-10T15:24:56Z",\
          "rejected_at": null,\
          "reject_reason": "Incomplete",\
          "reject": true,\
          "approve": false,\
          "delete": false\
        },\
        "retailer_identifiers": {\
          "id": 5642,\
          "retailer": {\
            "name": "Demo Retailer",\
            "code": "demo-retailer",\
            "id": 500,\
            "logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",\
            "cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",\
            "profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",\
            "joined_at": "2021-08-03T17:24:12Z",\
            "is_rcn_retailer": false,\
            "is_onboarded": false,\
            "platform": "fabric",\
            "requires_subscription": "disabled",\
            "brand_permit_creation_allowed": false,\
            "website": "https://demoabc.com",\
            "status": "active"\
          },\
          "identifier": "SKU976",\
          "name": "Retailer Sample"\
        },\
        "retailer_categories": {\
          "category": "CategoryANC",\
          "id": 453,\
          "retailer": {\
            "name": "Demo Retailer",\
            "code": "demo-retailer",\
            "id": 500,\
            "logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",\
            "cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",\
            "profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",\
            "joined_at": "2021-08-03T17:24:12Z",\
            "is_rcn_retailer": false,\
            "is_onboarded": false,\
            "platform": "fabric",\
            "requires_subscription": "disabled",\
            "brand_permit_creation_allowed": false,\
            "website": "https://demoabc.com",\
            "status": "active"\
          }\
        },\
        "inventory": {\
          "inventory_updated_at": "2022-09-10T15:24:56Z",\
          "inventory_last_submitted_at": "2022-09-10T15:24:56Z",\
          "brand_inventory_updated_at": "2022-09-10T15:24:56Z",\
          "sellable_updated_at": "2022-11-10T15:24:56Z",\
          "estimated_availability_date": "2022-09-10T15:24:56Z",\
          "discontinued": true,\
          "discontinued_updated_at": null,\
          "inventory": 0,\
          "sellable": "No",\
          "replenishable": true,\
          "locations": [\
            {\
              "id": 1,\
              "address": {\
                "name1": "Demo Brand, Inc",\
                "street1": "1332 Hermosa Ave",\
                "city": "Hermosa Beach",\
                "province": "CA",\
                "postal_code": "90254",\
                "country": "US",\
                "id": 10,\
                "type": "residential",\
                "name2": null,\
                "street2": null,\
                "phone1": "3105551212",\
                "phone2": "3105551213",\
                "fax": null,\
                "email": null,\
                "federal_tax_id": null\
              },\
              "inventory": 0,\
              "nickname": "LA Warehouse"\
            }\
          ]\
        }\
      },\
      "invoice_line_number": 2,\
      "item_brand_identifier": "Vend134",\
      "item_upc": "911911911112",\
      "name": "SamPro1",\
      "description": "Sample description of product",\
      "canceled_at": null,\
      "retail_price": "14.00"\
    }\
  ],
  "net_amount": "12.89",
  "due_amount": "2.89",
  "expected_due_amount": "2.89",
  "subtotal": "10.89",
  "tax": "2.00",
  "invoice_acceptance": {
    "id": 565,
    "accepted_by": {
      "id": 542,
      "first_name": "Sample",
      "last_name": "Demo",
      "title": "Demo",
      "status": "Active",
      "type": "standard",
      "photo_url": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",
      "profile_photo": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",
      "is_me": true
    },
    "rejected_by": {
      "id": 542,
      "first_name": "Sample",
      "last_name": "Demo",
      "title": "Demo",
      "status": "Active",
      "type": "standard",
      "photo_url": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",
      "profile_photo": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",
      "is_me": true
    },
    "reject_reason": "Incorrect",
    "accepted_at": "2022-08-10T15:24:56Z",
    "rejected_at": null
  }
}

PUT

/

v1

/

retailers

/

{retailer_id}

/

invoices

/

{id}

/

acknowledge

/

Try it

Acknowledge receipt of an invoice.

cURL

import requests

url = "https://marketplace-api.fabric.inc/v1/retailers/{retailer_id}/invoices/{id}/acknowledge/"

response = requests.put(url, json=payload, headers=headers)

print(response.text)



200

Authorizations

​

Authorization

string

header

required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

​

id

integer

required

The unique invoice ID. This ID is automatically generated when an invoice is created.

​

retailer_id

number

required

The unique retailer ID. In the Dropship UI this is called the Merchant ID. To find your Merchant ID, click your merchant name in the top nav.

Body

application/json

​

invoice_number

string

required

Invoice number

Required string length: 1 - 32

Example:

"RC123456"

​

retailer

object

Showchild attributes

​

brand

object

Showchild attributes

​

currency

object

Showchild attributes

​

terms_type

enum | null

Types of invoice terms

Available options:

End of Month (EOM),

No Charge,

Consignment,

10 Days After End of Month (10 EOM),

Cash Discount Terms Apply,

Basic,

Fixed Date, Late Payment Penalty Applies,

Extended,

Discount Not Applicable,

Fixed Date,

Previously agreed upon

Example:

"Previously agreed upon"

​

terms_description

string | null

Description of invoice terms

Example:

"Previously agreed upon terms will apply"

​

terms_net_days_due

integer | null

Number of days to pay invoice

Required range: -2147483648 <= x <= 2147483647

Example:

35

​

terms_date_due

string | null

Payment expected date

Example:

null

​

terms_discount_percent

string | null

Discount percentage on selected term

Example:

null

​

order_id

integer

Order ID related to invoice

Example:

"O-654"

​

customer_order_number

string | null

Customer order number (for enduser)

Maximum string length: 64

Example:

"CO-435"

​

purchase_order_number

string | null

Purchase order number (for retailer)

Maximum string length: 64

Example:

"PO-546"

​

status

enum

Invoice status

Available options:

closed,

open

Example:

"closed"

​

remit_to

object

Showchild attributes

​

ship_from

object

Showchild attributes

​

sold_to

object

Showchild attributes

​

ship_to

object

Showchild attributes

​

shipping_carrier_name

string | null

Name of shipping carrier

Maximum string length: 32

Example:

"ALZ carrier"

​

shipping_carrier_code

string | null

Code of shipping carrier

Maximum string length: 32

Example:

"230F"

​

shipping_account_number

string | null

Shipping account number

Maximum string length: 32

Example:

"SH879"

​

shipping_method_name

string | null

Name of shipping method

Maximum string length: 32

Example:

"Next day delivery"

​

shipping_method_code

string | null

Code of shipping method

Maximum string length: 32

Example:

"ND"

​

shipping_tracking_number

string | null

Shipping tracking number

Maximum string length: 32

Example:

"1Z9999999999999988"

​

shipping_weight

string | null

Shipping weight

Example:

"7.00"

​

notes

string | null

Additional info adding to shipping

Example:

"Signature required"

​

invoiced_at

string | null

Time when the invoice was created (UTC format).

Example:

"2022-05-10T15:24:56Z"

​

ordered_at

string | null

Time of order finalization (UTC format)

Example:

"2022-05-10T15:24:56Z"

​

shipped_at

string | null

Time of shipping (UTC format)

Example:

"2022-05-10T15:24:56Z"

​

acknowledged_at

string | null

Time of retailer acknowledgement (UTC format)

Example:

"2022-06-10T15:24:56Z"

​

paid_at

string | null

Time of payment (UTC format)

Example:

"2022-06-10T15:24:56Z"

​

closed_at

string | null

Time of complete invoice payment (UTC format)

Example:

null

​

canceled_at

string | null

Time of order cancellation (UTC format)

Example:

null

​

allowances

object[]

Showchild attributes

​

charges

object[]

Showchild attributes

​

net_amount

string | null

Total invoice amount (excluding taxes)

Example:

"12.89"

​

due_amount

string | null

Pending amount

Example:

"2.89"

​

expected_due_amount

string | null

Expected due amount (excluding allowances and charges)

Example:

"2.89"

​

subtotal

string | null

Sub-total

Example:

"10.89"

​

tax

string | null

Total tax on the invoice

Example:

"2.00"

​

invoice_acceptance

object

Showchild attributes

Response

200 - application/json

OK

​

invoice_number

string

required

Invoice number

Required string length: 1 - 32

Example:

"RC123456"

​

id

integer

read-only

Invoice ID

Example:

1

​

retailer

object

Showchild attributes

​

brand

object

Showchild attributes

​

connection_id

string

read-only

Connection ID

Example:

2

​

currency

object

Showchild attributes

​

terms_type

enum | null

Types of invoice terms

Available options:

End of Month (EOM),

No Charge,

Consignment,

10 Days After End of Month (10 EOM),

Cash Discount Terms Apply,

Basic,

Fixed Date, Late Payment Penalty Applies,

Extended,

Discount Not Applicable,

Fixed Date,

Previously agreed upon

Example:

"Previously agreed upon"

​

terms_description

string | null

Description of invoice terms

Example:

"Previously agreed upon terms will apply"

​

terms_net_days_due

integer | null

Number of days to pay invoice

Required range: -2147483648 <= x <= 2147483647

Example:

35

​

terms_date_due

string | null

Payment expected date

Example:

null

​

terms_discount_percent

string | null

Discount percentage on selected term

Example:

null

​

order_id

integer

Order ID related to invoice

Example:

"O-654"

​

customer_order_number

string | null

Customer order number (for enduser)

Maximum string length: 64

Example:

"CO-435"

​

purchase_order_number

string | null

Purchase order number (for retailer)

Maximum string length: 64

Example:

"PO-546"

​

status

enum

Invoice status

Available options:

closed,

open

Example:

"closed"

​

remit_to

object

Showchild attributes

​

ship_from

object

Showchild attributes

​

sold_to

object

Showchild attributes

​

ship_to

object

Showchild attributes

​

shipping_carrier_name

string | null

Name of shipping carrier

Maximum string length: 32

Example:

"ALZ carrier"

​

shipping_carrier_code

string | null

Code of shipping carrier

Maximum string length: 32

Example:

"230F"

​

shipping_account_number

string | null

Shipping account number

Maximum string length: 32

Example:

"SH879"

​

shipping_method_name

string | null

Name of shipping method

Maximum string length: 32

Example:

"Next day delivery"

​

shipping_method_code

string | null

Code of shipping method

Maximum string length: 32

Example:

"ND"

​

shipping_tracking_number

string | null

Shipping tracking number

Maximum string length: 32

Example:

"1Z9999999999999988"

​

shipping_weight

string | null

Shipping weight

Example:

"7.00"

​

notes

string | null

Additional info adding to shipping

Example:

"Signature required"

​

invoiced_at

string | null

Time when the invoice was created (UTC format).

Example:

"2022-05-10T15:24:56Z"

​

ordered_at

string | null

Time of order finalization (UTC format)

Example:

"2022-05-10T15:24:56Z"

​

shipped_at

string | null

Time of shipping (UTC format)

Example:

"2022-05-10T15:24:56Z"

​

acknowledged_at

string | null

Time of retailer acknowledgement (UTC format)

Example:

"2022-06-10T15:24:56Z"

​

paid_at

string | null

Time of payment (UTC format)

Example:

"2022-06-10T15:24:56Z"

​

closed_at

string | null

Time of complete invoice payment (UTC format)

Example:

null

​

canceled_at

string | null

Time of order cancellation (UTC format)

Example:

null

​

allowances

object[]

Showchild attributes

​

charges

object[]

Showchild attributes

​

invoice_lines

object[]

read-only

Showchild attributes

​

net_amount

string | null

Total invoice amount (excluding taxes)

Example:

"12.89"

​

due_amount

string | null

Pending amount

Example:

"2.89"

​

expected_due_amount

string | null

Expected due amount (excluding allowances and charges)

Example:

"2.89"

​

subtotal

string | null

Sub-total

Example:

"10.89"

​

tax

string | null

Total tax on the invoice

Example:

"2.00"

​

invoice_acceptance

object

Showchild attributes

Was this page helpful?

YesNo

Get invoice details Get orders

Ctrl+I

Assistant

Responses are generated using AI and may contain mistakes.